package com.miaxis.wx.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.miaxis.wx.domain.WxOrder;
import com.miaxis.wx.dto.PcWxOrderListDTO;
import com.miaxis.wx.dto.WxOrderListDTO;

import java.util.List;

/**
 * 电影订单Mapper接口
 *
 * @author miaxis
 * @date 2021-05-07
 */
public interface WxOrderMapper extends BaseMapper<WxOrder> {
    /**
     * 查询电影订单列表
     *
     * @param wxOrder 电影订单
     * @return 电影订单集合
     */
    public List<WxOrder> selectWxOrderList(WxOrder wxOrder);

    WxOrder getByOutTradeNo(String outTradeNo);

    List<WxOrder> selectOrderList(WxOrderListDTO wxOrderListDTO);

    List<WxOrder> selectPcOrderList(PcWxOrderListDTO pcWxOrderListDTO);
}
